Skip to main content
GET
/
v3
/
workflow-transition-records
/
{workflow_transition_record_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/workflow-transition-records/{workflow_transition_record_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "note": "<string>",
      "from": "<string>",
      "to": "<string>"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "duration": "<unknown>",
      "from": {
        "name": "<string>"
      },
      "to": {
        "name": "<string>"
      }
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "definition": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "definition_version": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "instance": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "submission": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "user": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

workflow_transition_record_id
string<uuid>
required

The unique identifier for the workflow transition record.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
user,
definition,
definition_version,
instance,
submission

Response

Get a workflow transition record.

JSON API response object

data
object
required

A workflow transition record resource.

jsonapi
object
required